Mudanças entre as edições de "VideoConferência"

De Pontão Nós Digitais
(Compilação:)
Linha 21: Linha 21:
 
*Todas as versões apresentaram algum erro na compilação por enquanto, o autor do projeto prefere as mudanças em .diffs do que patchs.
 
*Todas as versões apresentaram algum erro na compilação por enquanto, o autor do projeto prefere as mudanças em .diffs do que patchs.
  
[http://vimeo.com/26340458]Vídeo Tentativa 1
+
[http://vimeo.com/26340458]Vídeo Tentativa 1  
  
==== EMpathy ====
+
==== EMpathy ====
  
 
===== Bibliotecas necessárias:  =====
 
===== Bibliotecas necessárias:  =====
Linha 29: Linha 29:
 
gnome-common &gt;= 2.3.0<br>gettext<br>libglib2.0-dev<br>gtk-doc-tools<br>libxml2-dev<br>libtelepathy-glib-dev<br>libmissioncontrol-client-dev<br>libtelepathy-farsight-dev<br>libx11-dev<br>libgtk2.0-dev<br>libcanberra-gtk-dev<br>libgstreamer-plugins-base0.10-dev<br>libebook1.2-dev<br>libnotify-dev<br>libunique-dev<br>libgnome-keyring-dev<br>  
 
gnome-common &gt;= 2.3.0<br>gettext<br>libglib2.0-dev<br>gtk-doc-tools<br>libxml2-dev<br>libtelepathy-glib-dev<br>libmissioncontrol-client-dev<br>libtelepathy-farsight-dev<br>libx11-dev<br>libgtk2.0-dev<br>libcanberra-gtk-dev<br>libgstreamer-plugins-base0.10-dev<br>libebook1.2-dev<br>libnotify-dev<br>libunique-dev<br>libgnome-keyring-dev<br>  
  
===== Compilação: =====
+
===== Métodos para obtenção das dependencias  =====
  
[http://vimeo.com/26372387 Video 1 ] - Primeira tentativa
+
primeiro de tudo:  
 +
<pre>$ sudo aptitude build-dep empathy</pre>
 +
Esse comando instalará várias dependencias, mas nem sempre todas.
  
[http://vimeo.com/26388991 Video 2 ] - Instalando Dependências
+
então tente para as que faltam:
 +
<pre>@ sudo aptitude install &lt;nome da dep&gt;
 +
ou
 +
$ sudo apt-get install &lt;nome da dep&gt;</pre>
 +
Eu particularmente prefiro o aptitude ao apt-get
 +
 
 +
caso ainda faltem dependencias, só pegando na internet e instalando manualmente =/
 +
 
 +
===== Compilação:  =====
 +
 
 +
[http://vimeo.com/26372387 Video 1 ] - Primeira tentativa
 +
 
 +
[http://vimeo.com/26388991 Video 2 ] - Instalando Dependências  
  
 
[http://vimeo.com/26398435 Video 3 ] - EMpathy Compilado
 
[http://vimeo.com/26398435 Video 3 ] - EMpathy Compilado

Edição das 22h25min de 20 de julho de 2011

Procurando softwares livres já disponíveis para isso temos essas listas:

Softwares de VOIP

Video Conferências


Alguns que chamam a atenção são:

BigBlueButton: Próprio para ensino. Permite vídeo conferência e troca de slides e lousa.

Ekiga: Voz e vídeo. Estão pedindo ajuda com GStreamer. Repositório.

Empathy: Novo Voip padrão do Ubuntu, suporta muuuitos protocolos de comunicação.


Ekiga (compilação)

[1] Sources [2] Compiling Ekiga

  • Todas as versões apresentaram algum erro na compilação por enquanto, o autor do projeto prefere as mudanças em .diffs do que patchs.

[3]Vídeo Tentativa 1

EMpathy

Bibliotecas necessárias:

gnome-common >= 2.3.0
gettext
libglib2.0-dev
gtk-doc-tools
libxml2-dev
libtelepathy-glib-dev
libmissioncontrol-client-dev
libtelepathy-farsight-dev
libx11-dev
libgtk2.0-dev
libcanberra-gtk-dev
libgstreamer-plugins-base0.10-dev
libebook1.2-dev
libnotify-dev
libunique-dev
libgnome-keyring-dev

Métodos para obtenção das dependencias

primeiro de tudo:

$ sudo aptitude build-dep empathy

Esse comando instalará várias dependencias, mas nem sempre todas.

então tente para as que faltam:

@ sudo aptitude install <nome da dep>
ou
$ sudo apt-get install <nome da dep>

Eu particularmente prefiro o aptitude ao apt-get

caso ainda faltem dependencias, só pegando na internet e instalando manualmente =/

Compilação:

Video 1 - Primeira tentativa

Video 2 - Instalando Dependências

Video 3 - EMpathy Compilado